Stream (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.el.stream

## Class Stream

- java.lang.Object
- - org.apache.el.stream.Stream

-     public class Stream
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stream​(java.util.Iterator<java.lang.Object> iterator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional` | `allMatch​(LambdaExpression le)` |
    `Optional` | `anyMatch​(LambdaExpression le)` |
    `Optional` | `average()` |
    `java.lang.Long` | `count()` |
    `Stream` | `distinct()` |
    `Stream` | `filter​(LambdaExpression le)` |
    `Optional` | `findFirst()` |
    `Stream` | `flatMap​(LambdaExpression le)` |
    `java.lang.Object` | `forEach​(LambdaExpression le)` |
    `java.util.Iterator<?>` | `iterator()` |
    `Stream` | `limit​(java.lang.Number count)` |
    `Stream` | `map​(LambdaExpression le)` |
    `Optional` | `max()` |
    `Optional` | `max​(LambdaExpression le)` |
    `Optional` | `min()` |
    `Optional` | `min​(LambdaExpression le)` |
    `Optional` | `noneMatch​(LambdaExpression le)` |
    `Stream` | `peek​(LambdaExpression le)` |
    `Optional` | `reduce​(LambdaExpression le)` |
    `java.lang.Object` | `reduce​(java.lang.Object seed, LambdaExpression le)` |
    `Stream` | `sorted()` |
    `Stream` | `sorted​(LambdaExpression le)` |
    `Stream` | `substream​(java.lang.Number start)` |
    `Stream` | `substream​(java.lang.Number start, java.lang.Number end)` |
    `java.lang.Number` | `sum()` |
    `java.lang.Object[]` | `toArray()` |
    `java.util.List<java.lang.Object>` | `toList()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream​(java.util.Iterator<java.lang.Object> iterator)

  - ### Method Detail

    - #### filter

          public Stream filter​(LambdaExpression le)

    - #### map

          public Stream map​(LambdaExpression le)

    - #### flatMap

          public Stream flatMap​(LambdaExpression le)

    - #### distinct

          public Stream distinct()

    - #### sorted

          public Stream sorted()

    - #### sorted

          public Stream sorted​(LambdaExpression le)

    - #### forEach

          public java.lang.Object forEach​(LambdaExpression le)

    - #### peek

          public Stream peek​(LambdaExpression le)

    - #### iterator

          public java.util.Iterator<?> iterator()

    - #### limit

          public Stream limit​(java.lang.Number count)

    - #### substream

          public Stream substream​(java.lang.Number start)

    - #### substream

          public Stream substream​(java.lang.Number start,
                                  java.lang.Number end)

    - #### toList

          public java.util.List<java.lang.Object> toList()

    - #### toArray

          public java.lang.Object[] toArray()

    - #### reduce

          public Optional reduce​(LambdaExpression le)

    - #### reduce

          public java.lang.Object reduce​(java.lang.Object seed,
                                         LambdaExpression le)

    - #### max

          public Optional max()

    - #### max

          public Optional max​(LambdaExpression le)

    - #### min

          public Optional min()

    - #### min

          public Optional min​(LambdaExpression le)

    - #### average

          public Optional average()

    - #### sum

          public java.lang.Number sum()

    - #### count

          public java.lang.Long count()

    - #### anyMatch

          public Optional anyMatch​(LambdaExpression le)

    - #### allMatch

          public Optional allMatch​(LambdaExpression le)

    - #### noneMatch

          public Optional noneMatch​(LambdaExpression le)

    - #### findFirst

          public Optional findFirst()